var express = require('express');
var app = express();
var bodyParser = require('body-parser');

var r7v0 = 0;
var r7v1 = 0;
var r7v2 = 0;
var r7v3 = 0;

var r3v0 = 0;
var r3v1 = 0;
var r3v2 = 0;
var r3v3 = 0;

var r3da = 0;

var wl40volt = 0;
var wl40pulse = 0;

app.set('port', (process.env.PORT || 5000));
app.set('view engine', 'ejs');

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

app.get('/', function(req, res){
  res.render('index', 
	{
		r7v0: r7v0, r7v1: r7v1, r7v2: r7v2, r7v3: r7v3,
		r3v0: r3v0, r3v1: r3v1, r3v2: r3v2, r3v3: r3v3,
		r3da: r3da,
		wl40volt: wl40volt, wl40pulse: wl40pulse
	});
});

app.post('/series', function(req, res) {
    console.log('post:/series');

    r7v0 = req.body.r7v0;
    r7v1 = req.body.r7v1;
    r7v2 = req.body.r7v2;
    r7v3 = req.body.r7v3;

    r3v0 = req.body.r3v0;
    r3v1 = req.body.r3v1;
    r3v2 = req.body.r3v2;
    r3v3 = req.body.r3v3;

    r3da = req.body.r3da;

    wl40volt = req.body.wl40volt;
    wl40pulse = req.body.wl40pulse;

    res.send("Received\n");
});

app.listen(app.get('port'), function() {
  console.log("Node app is running at localhost:" + app.get('port'));
});
